import processing.net.*;
import processing.serial.*;

Serial myport;

PFont font;
PFont font1;

PImage up;
PImage down;

int motorX1 = 100;
int motorX2 = 350;
int motorY = 340;

Client c;
int input;




void setup() {
  size(600, 500);  

// Change "COM19" by your board's COM port
  myport = new Serial(this, "COM19", 9600);

  up = loadImage("cima.png");  
  down = loadImage("baixo.png");  

  background(0); 

  frameRate(5);

// Change "169.254.192.93" by the IP of the computer that is running SimpleServer
  c = new Client(this, "169.254.192.93", 12345);

  font = createFont("Courier", 26);
  font1 = createFont("Courier", 60);
}




void draw() {
 fill(255);

 textFont(font);
  text("Motors:", 250,motorY-20);
 textFont(font1);
  text("CLIENT", 175,120);

  if (c.available() > 0) {
     char input = c.readChar();

   switch(input) {
    case 'w':
    myport.write('w'); 
     image(up, motorX1, motorY); 
     image(up, motorX2, motorY); 
    break;     
    case 's':
     myport.write('s'); 
      image(down, motorX1, motorY); 
      image(down, motorX2, motorY); 
    break;
    case 'a':
     myport.write('a'); 
      image(down, motorX1, motorY); 
      image(up, motorX2, motorY); 
    break;
    case 'd':
     myport.write('d'); 
      image(up, motorX1, motorY); 
      image(down, motorX2, motorY);
     break;
    case 'g':
     myport.write('g'); 
       fill(0);
      rect(motorX1,motorY,150,150);
      rect(motorX2,motorY,150,150);
     break;
    }  
    }
  }

